MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025803Open CASCADE[OCCT] OCCT:Testspublic2015-02-07 08:422015-05-14 15:32
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025803: Defective tests contaminating current directory
DescriptionSome tests contaminate current directory during execution, by saving temporary files there. This must be fixed: test must save results in directory pointed by $imagedir Tcl variable.

Note that file names must not be encoded in C++ DRAW command but in script, and passed to DRAW command as argument. Please update Tests User Guide to explicitly define these requirements.
Steps To Reproducebugs/xde/bug23951: test_box.step
bugs/fclasses/bug24931: testdocument.xml
bugs/vis/bug2883_2: v1.png, v2.png
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0002883closedapn Open CASCADE It is impossible to set material, color and transparency to compound 
related to 0023951closedapn Community Visibility of free, simple shapes not saved when writing XCAF Document into STEP 
related to 0024931closedapn Community Stack overflow when writing large shapes to XML 

-  Notes
(0037310)
git (administrator)
2015-02-10 18:16

Branch CR25803 has been created by apn.

SHA-1: 9f37ef8d3bfdf84835e4669df339f1c6d68b7397


Detailed log of new commits:

Author: apn
Date: Tue Feb 10 18:16:19 2015 +0300

    0025803: Defective tests contaminating current directory
    
    Test cases save results in directory pointed by ${imagedir} Tcl variable. File names are initialized in scripts and passed to DRAW command as argument.
(0037311)
git (administrator)
2015-02-10 18:22

Branch CR25803 has been updated forcibly by apn.

SHA-1: 2e2dffd4e6a557024c22a1cc7ec4f9ba386c98bf
(0037312)
apn (administrator)
2015-02-10 18:22

Branch CR25803 is ready for review.
(0037475)
abv (manager)
2015-02-13 10:18

Minor remarks:

- it is better to avoid multiple repetitions of file name with path, like "${imagedir}/bug23951_test_box.step" in bug23951: define it once (store in the Tcl variable) and use in all three places

- bug2883_2: images produced by test cases should start with full name of the test case, in order to be recognized as belonging to that case by test system (to appear in HTML log and difference report). For bug2883_2, the names should this be like ${imagedir}/bug2883_2_v1.png (note additional "_2" in the middle)
(0037521)
git (administrator)
2015-02-13 17:35

Branch CR25803 has been updated by apn.

SHA-1: 89c5df81bb6796ea60f14062f4fb6fbc146c4119


Detailed log of new commits:

Author: apn
Date: Fri Feb 13 17:35:29 2015 +0300

    Remarks were corrected

(0037523)
apn (administrator)
2015-02-13 17:36

Remarks were corrected, please review.
(0037526)
abv (manager)
2015-02-13 17:51

No remarks, please test
(0037531)
git (administrator)
2015-02-13 18:21

Branch CR25803 has been updated forcibly by apv.

SHA-1: b58b272966298441f3994fd470d6a7c849728fe1
(0037532)
apv (tester)
2015-02-13 18:21

Branch CR25803 has been rebased on the current master
(0037623)
apv (tester)
2015-02-17 14:04

Dear BugMaster,

Branch CR25803 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: b58b272966298441f3994fd470d6a7c849728fe1

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 86313156 / 86191729
Total CPU difference: 50337.24000000024 / 48446.16999999995

Testing on Windows:
Total MEMORY difference: 40697811 / 40708321
Total CPU difference: 39372.578125 / 34798.28125
(0038597)
git (administrator)
2015-03-18 13:38

Branch CR25803 has been deleted by inv.

SHA-1: b58b272966298441f3994fd470d6a7c849728fe1

- Related Changesets
occt: master 7a7e8cf1
Timestamp: 2015-02-19 11:57:12
Author: apn
Committer: bugmaster
Details ] Diff ]
0025803: Defective tests contaminating current directory

Test cases save results in directory pointed by ${imagedir} Tcl variable. File names are initialized in scripts and passed to DRAW command as argument.
Tests User Guide was updated.

Remarks were corrected
mod - dox/dev_guides/tests/tests.md Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - tests/bugs/fclasses/bug24931 Diff ] File ]
mod - tests/bugs/vis/bug2883_2 Diff ] File ]
mod - tests/bugs/xde/bug23951 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-07 08:42 abv New Issue
2015-02-07 08:42 abv Assigned To => mkv
2015-02-07 08:42 abv Relationship added related to 0002883
2015-02-07 08:42 abv Relationship added related to 0023951
2015-02-07 08:42 abv Relationship added related to 0024931
2015-02-07 08:43 abv Assigned To mkv => apn
2015-02-07 08:43 abv Status new => assigned
2015-02-10 18:16 git Note Added: 0037310
2015-02-10 18:22 git Note Added: 0037311
2015-02-10 18:22 apn Note Added: 0037312
2015-02-10 18:23 apn Assigned To apn => abv
2015-02-10 18:23 apn Status assigned => resolved
2015-02-13 10:18 abv Note Added: 0037475
2015-02-13 10:18 abv Assigned To abv => ski
2015-02-13 10:18 abv Status resolved => assigned
2015-02-13 12:17 apn Assigned To ski => apn
2015-02-13 17:35 git Note Added: 0037521
2015-02-13 17:36 apn Note Added: 0037523
2015-02-13 17:37 apn Assigned To apn => abv
2015-02-13 17:37 apn Status assigned => resolved
2015-02-13 17:51 abv Note Added: 0037526
2015-02-13 17:51 abv Assigned To abv => bugmaster
2015-02-13 17:51 abv Status resolved => reviewed
2015-02-13 18:01 apv Assigned To bugmaster => apv
2015-02-13 18:21 git Note Added: 0037531
2015-02-13 18:21 apv Note Added: 0037532
2015-02-17 14:03 apv Test case number => Not needed
2015-02-17 14:04 apv Note Added: 0037623
2015-02-17 14:04 apv Assigned To apv => bugmaster
2015-02-17 14:04 apv Status reviewed => tested
2015-02-20 17:21 bugmaster Changeset attached => occt master 7a7e8cf1
2015-02-20 17:21 bugmaster Status tested => verified
2015-02-20 17:21 bugmaster Resolution open => fixed
2015-03-18 13:38 git Note Added: 0038597
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker